org.apache.synapse.mediators.xquery

## Class XQueryMediatorFactory

- java.lang.Object
- - org.apache.synapse.config.xml.AbstractMediatorFactory
  - - org.apache.synapse.mediators.xquery.XQueryMediatorFactory

- All Implemented Interfaces:
    org.apache.synapse.config.xml.MediatorFactory

      public class XQueryMediatorFactory
      extends org.apache.synapse.config.xml.AbstractMediatorFactory

  Creates a XQuery mediator from the given XML

       <xquery key="string" [target="xpath"]>
         <variable name="string" type="string" [key="string"] [expression="xpath"]
            [value="string"]/>?
       </xquery>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `ATT_EXPR_Q`
    `static javax.xml.namespace.QName` | `ATT_KEY_Q`
    `static javax.xml.namespace.QName` | `ATT_NAME_Q`
    `static javax.xml.namespace.QName` | `ATT_TYPE_Q`
    `static javax.xml.namespace.QName` | `ATT_VALUE_Q`

    - ### Fields inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

      `ATT_DEFAULT_VALUE, ATT_DESCRIPTION, ATT_EVAL, ATT_EXPRN, ATT_IS_MANDATORY, ATT_KEY, ATT_NAME, ATT_ONERROR, ATT_REGEX, ATT_SEQUENCE, ATT_SOURCE, ATT_STATS, ATT_TARGET, ATT_VALUE, ATT_XPATH, DESCRIPTION_Q, FEATURE_Q, PROP_Q, PROPERTY_GROUP_Q, TARGET_Q`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XQueryMediatorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.synapse.Mediator` | `createSpecificMediator(org.apache.axiom.om.OMElement elem, java.util.Properties properties)`
    `javax.xml.namespace.QName` | `getTagQName()`

    - ### Methods inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

      `addAllCommentChildrenToList, collectNameValuePairs, createMediator, handleException, handleException, processAuditStatus, processTraceState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATT_NAME_Q

          public static final javax.xml.namespace.QName ATT_NAME_Q

    - #### ATT_VALUE_Q

          public static final javax.xml.namespace.QName ATT_VALUE_Q

    - #### ATT_EXPR_Q

          public static final javax.xml.namespace.QName ATT_EXPR_Q

    - #### ATT_KEY_Q

          public static final javax.xml.namespace.QName ATT_KEY_Q

    - #### ATT_TYPE_Q

          public static final javax.xml.namespace.QName ATT_TYPE_Q

  - ### Constructor Detail

    - #### XQueryMediatorFactory

          public XQueryMediatorFactory()

  - ### Method Detail

    - #### createSpecificMediator

          public org.apache.synapse.Mediator createSpecificMediator(org.apache.axiom.om.OMElement elem,
                                                                    java.util.Properties properties)

      Specified by:
        `createSpecificMediator` in class `org.apache.synapse.config.xml.AbstractMediatorFactory`

    - #### getTagQName

          public javax.xml.namespace.QName getTagQName()

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.